<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>FLEXBOX_01 JEREMY GARCÍA</title>
<style>
.contenedor {
  /* 1. Prueba antes de modificar. Probar para todo ejercicio es además de correrlo en navegador, es aajustar el ancho de ventana para ver el comportamiento responsivo. */
  /*Los div estan en una fila cada uno*/

  /* 2. Indica display: flex; en la línea siguiente como valor de display. Prueba*/
	display: flex; /*Creamos el contenedor flex*/
  
  /* 3. EN la línea siguiente indica flex-wrap: primero prueba con valor nowrap (es el default) y después prueba con wrap;*/
	/*flex-wrap: nowrap; *Los elementos estan obligados a aparecen en una sola fila*/
  flex-wrap: wrap; /*Los elementos del contenedor flex pueden distribuirse en varias lineas lo que permite que al modificar el tamaño de la pantalla se vayan ajustando al contenedor*/

  background-color: #0C3F7A;
}

.contenedor > div {
  background-color: #FFF;
  width: 25%;
  margin: 10px;
  text-align: center;
  line-height: 75px;
  font-size: 30px;
}
</style>
</head>
<body>
<h1>Flexible Box Wrap</h1>

<div class="contenedor">
  <div>A</div>
  <div>B</div>
  <div>C</div>  
  <div>D</div>
  <div>E</div>
  <div>F</div>  
  <div>G</div>
  <div>H</div>
</div>
</body>
</html>
